## imcode.server.document
Enum DocumentPermissionSetTypeDomainObject

    java.lang.Object
      java.lang.Enum<DocumentPermissionSetTypeDomainObject>
          imcode.server.document.DocumentPermissionSetTypeDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentPermissionSetTypeDomainObject>

    public enum DocumentPermissionSetTypeDomainObject

extends java.lang.Enum<DocumentPermissionSetTypeDomainObject>
implements java.io.Serializable

Enum Constant Summary
`FULL`
`NONE`
`READ`
`RESTRICTED_1`
`RESTRICTED_2`

Method Summary
`static DocumentPermissionSetTypeDomainObject` `fromInt(int id)`
`int` `getId()`
`boolean` `isAtLeastAsPrivilegedAs(DocumentPermissionSetTypeDomainObject type)`
`boolean` `isMorePrivilegedThan(DocumentPermissionSetTypeDomainObject type)`
`java.lang.String` `toString()`
`static DocumentPermissionSetTypeDomainObject` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentPermissionSetTypeDomainObject[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final DocumentPermissionSetTypeDomainObject FULL

### RESTRICTED_1

    public static final DocumentPermissionSetTypeDomainObject RESTRICTED_1

### RESTRICTED_2

    public static final DocumentPermissionSetTypeDomainObject RESTRICTED_2

### READ

    public static final DocumentPermissionSetTypeDomainObject READ

### NONE

    public static final DocumentPermissionSetTypeDomainObject NONE

Method Detail

### values

    public static final DocumentPermissionSetTypeDomainObject[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DocumentPermissionSetTypeDomainObject c : DocumentPermissionSetTypeDomainObject.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DocumentPermissionSetTypeDomainObject valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<DocumentPermissionSetTypeDomainObject>`

### isMorePrivilegedThan

    public boolean isMorePrivilegedThan(DocumentPermissionSetTypeDomainObject type)

### isAtLeastAsPrivilegedAs

    public boolean isAtLeastAsPrivilegedAs(DocumentPermissionSetTypeDomainObject type)

### fromInt

    public static DocumentPermissionSetTypeDomainObject fromInt(int id)